GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.FromToLocation Class Reference

## Public Member Functions
Source | getSource ()
void | setSource (Source value)
Destination | getDestination ()
void | setDestination (Destination value)

## Protected Attributes
Source | source
Destination | destination

## Detailed Description

Source and destination attributes (for getEstimatedDeliveryDays request)

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Source" type="{http://fpcs.gls-group.eu/v1/Timeframe}Source"/>
            <element name="Destination" type="{http://fpcs.gls-group.eu/v1/Timeframe}Destination"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file FromToLocation.java.

## Member Function Documentation

## ◆ getDestination()

Destination eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.FromToLocation.getDestination | ( |  | ) |

Gets the value of the destination property.

Returns
  possible object is Destination

Definition at line 79 of file FromToLocation.java.

## ◆ getSource()

Source eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.FromToLocation.getSource | ( |  | ) |

Gets the value of the source property.

Returns
  possible object is Source

Definition at line 55 of file FromToLocation.java.

## ◆ setDestination()

void eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.FromToLocation.setDestination | ( | Destination | value | ) |

Sets the value of the destination property.

Parameters

  value | allowed object is Destination

Definition at line 91 of file FromToLocation.java.

## ◆ setSource()

void eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.FromToLocation.setSource | ( | Source | value | ) |

Sets the value of the source property.

Parameters

  value | allowed object is Source

Definition at line 67 of file FromToLocation.java.

## Member Data Documentation

## ◆ destination

Destination eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.FromToLocation.destination
| protected

Definition at line 45 of file FromToLocation.java.

## ◆ source

Source eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.FromToLocation.source
| protected

Definition at line 43 of file FromToLocation.java.

The documentation for this class was generated from the following file:

- FromToLocation.java